All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sas.services.information.search
Enum DateFilter.DateType

    com.sas.services.information.search.DateFilter.DateType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DateFilter.DateType>

Enclosing class:
  DateFilter

    public static enum DateFilter.DateType

The type of date to filter on

Enum Constant Summary
`CREATED_DATE` Value for the created date type
`MODIFIED_DATE` Value for the modified date type

Method Summary
`static DateFilter.DateType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DateFilter.DateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Enum Constant Detail

### CREATED_DATE

    public static final DateFilter.DateType CREATED_DATE

  Value for the created date type

### MODIFIED_DATE

    public static final DateFilter.DateType MODIFIED_DATE

  Value for the modified date type

Method Detail

### values

    public static DateFilter.DateType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DateFilter.DateType c : DateFilter.DateType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DateFilter.DateType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.